Public Class Form1
    Dim iCounter As Integer = 0
    Private Sub ToolStripButton1_Click(sender As Object, e As EventArgs) Handles ToolStripButton1.Click
        Try
            iCounter += 1
            Dim frm As New Form2
            frm.Name = iCounter.ToString
            frm.Text = "Form " & iCounter.ToString
            frm.MdiParent = Me
            frm.Show()
        Catch ex As Exception

        End Try
    End Sub
End Class
